<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css"
        integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU" crossorigin="anonymous">
</head>
<body>

<nav>
    <div class="nav-wrapper #f57c00 orange darken-2">
        <a href="#" class="brand-logo">Mobike</a>
         <ul id="nav-mobile" class="right hide-on-med-and-down">
            {% if user.is_authenticated %}
            <li><a href="{% url 'main:homepage'%}">Inicio</a></li>
            <li><a href="{% url 'main:view_admin' %}">Administrador</a></li>
            <li><a href="{% url 'main:view_funcio' %}">Funcionario</a></li>
            <li><a href="{% url 'main:cliente' %}">Cliente</a></li> 
            <li><a href="#">Usuario: {{user.username}}</a></li>           
            <li><a href="{% url 'main:logout' %}">Salir</a></li>
            {% else %}
            <li><a href="{% url 'main:homepage'%}">Inicio</a></li>
            <li><a href="{% url 'main:registro' %}">Registro</a></li>            
            <li><a href="{% url 'main:login' %}">Entrar</a></li>
            {% endif %}
        </ul>
    </div>
</nav>
<div class="container">
<br>
    {% block content %}
    {% endblock %}
<br>
</div>
{% if messages %}
    {% for messages in messages %}
        <!-- ok -->
        {% if message.tags == 'success' %}
            <script>
                 M.toast({
                    html: '{{message}}',
                    classes: 'green rounded',
                    displayLength: 2000,                    
                });
            </script>
        {% endif %}
        <!-- info -->
        {% if message.tags == 'info' %}
            <script>
                M.toast({
                    html: '{{message}}',
                    classes: 'blue rounded',
                    displayLength: 2000,                    
                });
            </script>                
        {% endif %}
        <!-- warning-->
        {% if message.tags == 'warning' %}
            <script>
                M.toast({
                    html: '{{message}}',
                    classes: 'orange rounded',
                    displayLength: 2000,                    
                });
            </script>                
        {% endif %}
        <!-- error -->
        {% if message.tags == 'error' %}
            <script>
                M.toast({
                    html: '{{message}}',
                    classes: 'red rounded',
                    displayLength: 2000,                    
                });
            </script>
        {% endif %}
    {% endfor %}
{% endif %}
    <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>
</body>
</html>